Bug 112429 - [patch] math/py-numpy incorrect post-patch for site-cfg
Summary: [patch] math/py-numpy incorrect post-patch for site-cfg
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-05 03:10 UTC by Li-Lun Wang
Modified: 2007-09-02 21:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.03 KB, patch)
2007-05-05 03:10 UTC, Li-Lun Wang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Lun Wang 2007-05-05 03:10:04 UTC
The test for WITH_ATLAS condition in post-patch to decide how to patch
site.cfg is incorrect.  The patch for .ifdef WITH_ATLAS should go to
.else, and vice versa.

- Correct the patch for site.cfg in post-patch
- Bump PORTREVISION
- Maintainer CC'd

Modified file:
  math/py-numpy	Makefile
Comment 1 Edwin Groothuis freebsd_committer 2007-05-05 03:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->db

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-06-22 21:07:17 UTC
db          2007-06-22 20:07:11 UTC

  FreeBSD ports repository

  Modified files:
    math/py-numpy        Makefile 
  Log:
  - Remove support for 4.x
  - Fix glitch with gfortran attempting to use libg2c instead of libgfortran [1]
  - math/py-numpy incorrect post-patch for site-cfg [2]
  - Update version to 1.0.2
  
  Notified by:    kris (via pointyhat) [1]
  PR:             ports/112429 [2]
  Approved by:    ehaupt (mentor)
  
  Revision  Changes    Path
  1.10      +4 -8      ports/math/py-numpy/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Diane Bruce freebsd_committer 2007-06-22 21:07:59 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2007-09-02 21:03:50 UTC
db          2007-09-02 20:03:45 UTC

  FreeBSD ports repository

  Modified files:
    math/py-numpy        Makefile distinfo pkg-plist 
    math/py-numpy/files  
                         patch-numpy-core-include-numpy-ufuncobject.h 
                         patch-numpy-distutils-fcompiler-__init__.py 
                         patch-numpy-distutils-fcompiler-gnu.py 
  Log:
  - I added -fPIC to compile_switch to work around build of fftpack in scipy
    on amd64.
    A better fix would be to set pic_flags instead, and have scipy build a
    shared object for dfftpack instead a static archive, but I didn't figure
    out how. [1]
  - Pass maintainership to llwang@infor.org
  
  PR:             ports/112429 [1]
  Submitted by:   Li-Lun "Leland" Wang <llwang@infor.org> (new maintainer)
  
  Revision  Changes    Path
  1.12      +2 -2      ports/math/py-numpy/Makefile
  1.6       +3 -3      ports/math/py-numpy/distinfo
  1.3       +4 -4      ports/math/py-numpy/files/patch-numpy-core-include-numpy-ufuncobject.h
  1.3       +12 -3     ports/math/py-numpy/files/patch-numpy-distutils-fcompiler-__init__.py
  1.4       +17 -20    ports/math/py-numpy/files/patch-numpy-distutils-fcompiler-gnu.py
  1.6       +28 -31    ports/math/py-numpy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2007-09-02 21:04:49 UTC
db          2007-09-02 20:04:45 UTC

  FreeBSD ports repository

  Modified files:
    science/py-scipy     Makefile distinfo 
  Added files:
    science/py-scipy/files patch-Lib-fftpack-setup.py 
  Log:
  - Fix build of dfftpack. [1]
  - Reassign maintainership to llwang@infor.org
  
  PR:             ports/112429 [1]
  Submitted by:   Li-Lun "Leland" Wang <llwang@infor.org> (new maintainer)
  
  Revision  Changes    Path
  1.18      +2 -3      ports/science/py-scipy/Makefile
  1.5       +3 -3      ports/science/py-scipy/distinfo
  1.1       +11 -0     ports/science/py-scipy/files/patch-Lib-fftpack-setup.py (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"